@import url('https://fonts.googleapis.com/css2?family=Otomanopee+One&display=swap');
@import 'variables';

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: $primary-color;
  color: $light-color;
  font-family: 'Otomanopee One', sans-serif;
  height: 100vh;
}

button {
  padding: 0.5rem 1rem;
  background-color: $secondary-color;
  color: $light-color;
  border: none;
  font-size: 1.5rem;
  box-shadow: 0 2px 10px rgba($color: #000000, $alpha: 0.5);
  cursor: pointer;
}

.overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba($color: #000000, $alpha: 0.6);
  z-index: 5;
  flex-direction: column;
  gap: 2rem;
  color: $light-color;

  #reset {
    font-size: 2rem;
    cursor: pointer;
  }
}

.container {
  width: 100%;
  padding: 2rem;
  text-align: center;

  > div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin: 1rem;
  }

  .card-wrapper {
    list-style: none;
    padding: 1rem;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 700px;
    margin: auto;
    position: relative;

    .card {
      width: 22%;
      padding-bottom: 22%; /* Same as width, sets height */
      position: relative;
      background-color: $secondary-color;
      cursor: pointer;

      i {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 5rem;
        display: none;
        z-index: 2;
      }
    }

    & :not(:nth-child(13)):not(:nth-child(14)):not(:nth-child(15)):not(:nth-child(16)) {
      margin-bottom: 4%;
    }

    .active-card {
      background-color: $active-color;
      transition: all 0.5s;

      i {
        display: block;
      }
    }

    .disable {
      pointer-events: none;
    }
  }

  i {
    cursor: pointer;
  }
}

@media (max-width: 767px) {
  .container {
    h3 {
      font-size: 1rem;
    }

    .card-wrapper .card i {
      font-size: 2rem;
    }
  }
}
